; Template for conversion of of 26bit C application stubs to 32bit
; Generated by Armalyser 0.43 (27-Jan-2003)

; 1) Run the original binary through ARMalyser
; 2) Replace the AIF header including the Zero init code to location &8080 with
;    the one from the this file, fill in the Read-write area size and the
;    Zero init size fields.
; 3) Strip the 26bit stubs consisting of the C.String, InitProc, Main Entry
;    Point, Module Entry Point, kernel and SCL jump tables and SCL stub chunk
;    SCL Language blocks. These will normally be in a continuous block
;    near the end, but early compilers may place the functions elsewhere.
;    Replace with the ones from this file.
; 4) Leave any data in the Read/Write Area and ensure its size matches
;    that in the header. This area can be zero length and omitted in some code.
; 5) Replace any SCL static data at the end of the file with that from
;    this file. If it is not present add the new SCL statics to the end.
; 6) Fix up any any labels pointing to the replaced code.
;    E.g. |L00008080.main| to |main|
;    and  |Lxxxxxxxx.Main_entry_point| to |Main_entry_point|
; 7) Convert the main body of the code to 32bit neutral non flag preserving.
; 8) Assemble, link, run, debug and enjoy.

OS_Exit                          EQU &000011
XOS_GetEnv                       EQU &020010
XSharedCLibrary_LibInitAPCS_32   EQU &0A0683
OS_GenerateError                 EQU &00002B
MessageTrans_ErrorLookup         EQU &041506
XOS_Module                       EQU &02001E
XSharedCLibrary_LibInitModuleAPCS_32 EQU &0A0684

        ORG      &8000

        ENTRY


|AIF_Header|
        MOV     a1,a1                            ; Decompression code call
        MOV     a1,a1                            ; Self relocation code call
        BL      |Zero_initialisation_code|       ; Zero initialisation code call
        BL      |Main_entry_point|               ; Main entry call
        SWI     OS_Exit                          ; Program exit instruction

        DCD     |Read/Write_Area_Start|-|AIF_Header| ; Read-only area size
        DCD     ?                                ; Read-write area size
        DCD     &00000000                        ; Debug area size
        DCD     ?                                ; Zero initialisation size
        DCD     &00000000                        ; Debug type
        DCD     |AIF_Header|                     ; Current base of absolute
        DCD     &00000000                        ; Workspace required
        DCD     &00000020                        ; Addressing mode and flags (32 bit)
        DCD     &00000000                        ; Data base address when linked
        DCD     &00000000                        ; Reserved header word &38 (should be 0)
        DCD     &00000000                        ; Reserved header word &3C (should be 0)

|Zero_initialisation_code|
        MOV     a1,a1                            ; Function entry, Zero initialisation code
        SUB     ip,lr,pc
        ADD     ip,pc,ip
        LDMIB   ip,{a1-a4}
        SUB     ip,ip,#&10                       ; =16
        LDR     a3,[ip,#&030]                    ; =48
        TST     a3,#&01,24                       ; =1<<8
        LDRNE   ip,[ip,#&034]                    ; =52
        ADDEQ   ip,ip,a1
        ADD     ip,ip,a2
        MOV     a1,#0
        CMP     a4,#0
|Zero_initialisation_code1|
        MOVLE   pc,lr                            ; Function exit if LE
        STR     a1,[ip],#4
        SUBS    a4,a4,#4
        B       |Zero_initialisation_code1|      ; Ends

|CodeStart|
|FirstSymbol|
; insert progfram
; rename |LXXXXXXXX.main| to |main|


|C.String|
        DCB     "C",0,0,0                        ; String -/- (referenced)

|InitProc|
        LDR     a1,InitProc_D1                   ; -> Word: &00008CCD, Entry Point, InitProc
        LDR     a2,[sl,#-&218]                   ; =-536
        ADD     a1,a1,a2
        MOV     a2,#1
        STRB    a2,[a1,#0]
        STR     lr,[sp,#-4]!
        ADD     a1,sp,#4
        LDR     a2,|InitProc_D2.Address|         ; ->-> SharedCLib Language Block Word: &00000028
        LDMIB   a2,{a2,a3}
        BL      |_clib_initialise|               ; -> SharedCLib Func: _clib_initialise
        LDR     a1,|InitProc_D3.Address|         ; ->-> Func: main
        CMP     a1,#0
        ADRNE   a1,|InitProc_Return|
        LDR     pc,[sp],#4                       ; Function exit, Ends

|InitProc_Return|
        MOV     ip,sp                            ; Entry Point, (Referenced)
        STMFD   sp!,{fp,ip,lr,pc}
        SUB     fp,ip,#4
        BL      |_kernel_command_string|         ; -> SharedCLib Func: _kernel_command_string
        LDR     a2,|InitProc_D3.Address|         ; ->-> Func: main
        BL      |_main|                          ; -> SharedCLib Func: _main
        LDMDB   fp,{fp,sp,pc}                    ; Function exit, Ends

|InitProc_D1|
        DCD     |SCL_static_data1|+&01           ; Address r/- (referenced) -> SCL static data: &00000000
|InitProc_D2.Address|
        DCD     |SharedCLib_Language_Block|      ; Address r/- (referenced) -> SharedCLib Language Block Word: &00000028
|InitProc_D3.Address|
        DCD     |main|                           ; Address r/- (referenced) -> Func: main

|Main_entry_point|
        SWI     XOS_GetEnv                       ; Function entry, Main entry point, (Referenced)
        MOV     a3,a2
        LDR     a2,|Main_entry_point_D2.Address| ; ->-> Word: &00000000
        MVN     a4,#0
        MOV     v1,#0
        MVN     v2,#0
        LDR     a1,|Main_entry_point_D3.Address| ; ->-> SharedCLib Stub Chunk Word: &00000001
        LDR     v3,|Main_entry_point_D4|         ; -> Word: &00000000
        CMP     v3,#0
        MOVEQ   v3,#&01,20                       ; =1<<12
        LDRNE   v3,[v3,#0]
        MOV     v3,v3,ASR #10
        MOV     v3,v3,LSL #16
        MOV     lr,#0
        MRS     lr,CPSR                          ; Not ARM2/3
        TST     lr,#&1C                          ; =28
        ORRNE   v3,v3,#1
        SWI     XSharedCLibrary_LibInitAPCS_32
        BVC     |Main_entry_point1|
        LDR     lr,[a1,#0]
        LDR     v3,|Main_entry_point_D5|         ; -> Word: &00800E85
        TEQ     lr,v3
        BEQ     |Main_entry_point2|
        SWIVS   OS_GenerateError
|Main_entry_point1|
        MOV     v3,v3,LSL #16
        CMP     v3,#&06,16                       ; =3<<17
        MOVGE   v1,a1
        ADRGE   a1,|Main_entry_point_D1.Address| ; ->-> Symbol: "main",0
        MOVGE   a4,#0
        BGE     |_kernel_init|                   ; -> SharedCLib Func: _kernel_init
|Main_entry_point2|
        ADR     a1,|Main_entry_point_E3.Error_Block| ; -> Error Block Word: &00800E91
        MOV     v1,#0
        LDR     a2,[v1,#&FF0]                    ; =4080
        TEQ     a2,#0
        SWIEQ   OS_GenerateError
        ADD     a1,a1,#4
|Main_entry_point3|
        LDRB    lr,[a1],#1
        TEQ     lr,#0
        BNE     |Main_entry_point3|
        ADD     a1,a1,#3
        BIC     a1,a1,#3
        MOV     a3,#0
        MOV     v2,#0
        MOV     v3,#0
        MOV     v4,#0
        SWI     MessageTrans_ErrorLookup         ; Ends

|Main_entry_point_E1.Error_Block|
        DCD     &00800E90                        ;~~ Word -/-
        DCB     "Shared C library not loaded",0  ;~~ String -/-

|Main_entry_point_E2.Error_Block|
        DCD     &00800E90                        ;~~ Word -/-
        DCB     "C62",0                          ;~~ String -/-

|Main_entry_point_E3.Error_Block|
        DCD     &00800E91                        ; Error Block Word r/- (referenced)
        DCB     "Shared C library is out of date",0 ; Error Block String -/-

|Main_entry_point_E4.Error_Block|
        DCD     &00800E91                        ;~~ Word -/-
        DCB     "C63",0                          ;~~ String -/-

|Module_entry_point|
        STMFD   sp!,{lr}                         ;~ Function entry
        MOV     v6,a1                            ;~
        LDR     a1,|Module_entry_point_D1|       ;~ -> Word: &00000000
        TEQ     a1,#0                            ;~
        MVNEQ   a1,#0                            ;~
        BLNE    &00000000                        ;~ -> &00000000 CAUTION: outside file
        MOV     v5,a1                            ;~
        MOV     v1,#0                            ;~
        MVN     v2,#0                            ;~
        CMP     v6,#0                            ;~
        MOVEQ   a4,#&0C                          ;~ =12
        LDRNE   v1,|Module_entry_point_D2.Address| ;~ ->-> SCL static data: &00000000
        LDRNE   v2,|Main_entry_point_D2.Address| ;~ ->-> Word: &00000000
        SUBNE   a4,v2,v1                         ;~
        ADDNE   a4,a4,#&0C                       ;~ =12
        MOV     a1,#6                            ;~
        SWI     XOS_Module                       ;~
        LDMVSFD sp!,{pc}                         ;~ Function exit if VS
        STR     a3,[ip,#0]                       ;~
        STR     a4,[a3,#0]                       ;~
        MOV     v6,ip                            ;~
        LDR     ip,[ip,#0]                       ;~
        ADD     a2,ip,#&0C                       ;~ =12
        LDR     a3,[ip,#0]                       ;~
        ADD     a3,a3,a2                         ;~
        LDR     a4,|Module_entry_point_D3.Address| ;~ ->-> SCL static data: &00000000
        LDR     a1,|Main_entry_point_D3.Address| ;~ ->-> SharedCLib Stub Chunk Word: &00000001
        LDR     v3,|Main_entry_point_D4|         ;~ -> Word: &00000000
        CMP     v3,#0                            ;~
        MOVEQ   v3,#&01,14                       ;~ =1<<18
        LDRNE   v3,[v3,#0]                       ;~
        MOV     v3,v3,ASR #10                    ;~
        MOVS    v3,v3,LSL #16                    ;~
        MOV     lr,#0                            ;~
        MRS     lr,CPSR                          ;~ Not ARM2/3
        TST     lr,#&1C                          ;~ =28
        ORRNE   v3,v3,#1                         ;~
        SWI     XSharedCLibrary_LibInitModuleAPCS_32 ;~
        BVS     |Module_entry_point3|            ;~
        STMFD   sp!,{a2-v2}                      ;~
        LDR     a2,[ip,#0]                       ;~
        CMP     a2,#&0C                          ;~ =12
        BEQ     |Module_entry_point2|            ;~
        CMP     v5,#0                            ;~
        BMI     |Module_entry_point2|                      ;~
        LDR     a2,|Module_entry_point_D4.Address| ;~ ->-> Symbol: "main",0
        LDR     a3,|Module_entry_point_D2.Address| ;~ ->-> SCL static data: &00000000
        ADD     a4,ip,#&0C                       ;~ =12
        SUB     a4,a4,a3                         ;~
        ADD     a2,a2,a4                         ;~
|Module_entry_point1|
        LDR     v1,[v5],#4                       ;~
        MOVS    v1,v1,ASR #2                     ;~
        BMI     |Module_entry_point2|            ;~
        BCC     |Module_entry_point1|            ;~
        LDR     v2,[a2,v1,LSL #2]                ;~
        ADD     v2,v2,a4                         ;~
        STR     v2,[a2,v1,LSL #2]                ;~
        B       |Module_entry_point1|            ;~ Ends
|Module_entry_point2|
        LDMFD   sp!,{a2-v2}                      ;~
        MOV     v3,v3,LSL #16                    ;~
        CMP     v3,#&06,16                       ;~ =3<<17
        BLT     |Main_entry_point2|              ;~
        ADD     v5,a2,#&14                       ;~ =20
        LDMIA   v5,{v4,v5}                       ;~
        STMIB   ip,{v4,v5}                       ;~
        MOV     v1,a1                            ;~
        ADR     a1,|Main_entry_point_D1.Address| ;~ ->-> Symbol: "main",0
        B       |_kernel_moduleinit|             ;~ -> SharedCLib Func: _kernel_moduleinit, Ends
|Module_entry_point3|
        MOV     a2,a1                            ;~
        MOV     a1,#7                            ;~
        MOV     a3,ip                            ;~
        SWI     XOS_Module                       ;~
        MOV     a1,#0                            ;~
        STR     a1,[v6,#0]                       ;~
        MOV     a1,a2                            ;~
        CMP     a1,#&02,2                        ;~ =1<<31
        CMNVC   a1,#&02,2                        ;~ =1<<31
        LDMFD   sp!,{pc}                         ;~ Function exit, Ends
        STMFD   sp!,{lr}                         ;~
        BL      |Module_entry_point|             ;~
        LDMVSFD sp!,{pc}                         ;~ Function exit if VS
        STMFD   sp!,{v6}                         ;~
        BL      |_clib_initialise|               ;~ -> SharedCLib Func: _clib_initialise
        ADDS    a1,a1,#0                         ;~
        LDMFD   sp!,{a1,pc}                      ;~ Function exit, Ends
        ADR     a1,|Main_entry_point_D1.Address| ;~ ->-> Symbol: "main",0
        MOV     v5,ip                            ;~
        MVN     ip,#0                            ;~
        LDR     v3,|Main_entry_point_D4|         ;~ -> Word: &00000000
        CMP     v3,#0                            ;~
        MOVEQ   v3,#&01,20                       ;~ =1<<12
        LDRNE   v3,[v3,#0]                       ;~
        B       |_kernel_entermodule|            ;~ -> SharedCLib Func: _kernel_entermodule, Ends

|Main_entry_point_D1.Address|
        DCD     |CodeStart|                   ; Address -/- (referenced) -> Symbol: "main",0
        DCD     |SharedCLib_Language_Block|      ; Address -/- -> SharedCLib Language Block Word: &00000028
        DCD     |Read/Write_Area_Start|          ; Address -/- -> SCL static data: &00000000
|Main_entry_point_D2.Address|
        DCD     |SCL_static_data_Limit|          ; Address r/- (referenced) -> Word: &00000000
|Main_entry_point_D3.Address|
        DCD     |SharedCLib_Stub_Chunk|          ; Address r/- (referenced) -> SharedCLib Stub Chunk Word: &00000001
|Main_entry_point_D4|
        DCD     &00000000                        ; Word r/- (referenced)
|Main_entry_point_D5|
        DCD     &00800E85                        ; Word r/- (referenced)
|Module_entry_point_D1|
        DCD     &00000000                        ;~ Word r/- (referenced)
|Module_entry_point_D2.Address|
        DCD     |Read/Write_Area_Start|          ;~ Address r/- (referenced) -> Read/Write Area Start Word: &00000064
|Module_entry_point_D3.Address|
        DCD     |Read/Write_Area_End|            ;~ Address r/- (referenced) -> Word array: &00000000
|Module_entry_point_D4.Address|
        DCD     |CodeStart|                   ;~ Address r/- (referenced) -> Symbol: "main",0

|_kernel_init|
        MOV     pc,#0                            ; SharedCLib _kernel_init

|_kernel_exit|
        MOV     pc,#0                            ; SharedCLib _kernel_exit

|_kernel_setreturncode|
        MOV     pc,#0                            ; SharedCLib _kernel_setreturncode

|_kernel_exittraphandler|
        MOV     pc,#0                            ; SharedCLib _kernel_exittraphandler

|_kernel_unwind|
        MOV     pc,#0                            ; SharedCLib _kernel_unwind

|_kernel_procname|
        MOV     pc,#0                            ; SharedCLib _kernel_procname

|_kernel_language|
        MOV     pc,#0                            ; SharedCLib _kernel_language

|_kernel_command_string|
        MOV     pc,#0                            ; SharedCLib _kernel_command_string

|_kernel_hostos|
        MOV     pc,#0                            ; SharedCLib _kernel_hostos

|_kernel_swi|
        MOV     pc,#0                            ; SharedCLib _kernel_swi

|_kernel_osbyte|
        MOV     pc,#0                            ; SharedCLib _kernel_osbyte

|_kernel_osrdch|
        MOV     pc,#0                            ; SharedCLib _kernel_osrdch

|_kernel_oswrch|
        MOV     pc,#0                            ; SharedCLib _kernel_oswrch

|_kernel_osbget|
        MOV     pc,#0                            ; SharedCLib _kernel_osbget

|_kernel_osbput|
        MOV     pc,#0                            ; SharedCLib _kernel_osbput

|_kernel_osgbpb|
        MOV     pc,#0                            ; SharedCLib _kernel_osgbpb

|_kernel_osword|
        MOV     pc,#0                            ; SharedCLib _kernel_osword

|_kernel_osfind|
        MOV     pc,#0                            ; SharedCLib _kernel_osfind

|_kernel_osfile|
        MOV     pc,#0                            ; SharedCLib _kernel_osfile

|_kernel_osargs|
        MOV     pc,#0                            ; SharedCLib _kernel_osargs

|_kernel_oscli|
        MOV     pc,#0                            ; SharedCLib _kernel_oscli

|_kernel_last_oserror|
        MOV     pc,#0                            ; SharedCLib _kernel_last_oserror

|_kernel_system|
        MOV     pc,#0                            ; SharedCLib _kernel_system

|_kernel_getenv|
        MOV     pc,#0                            ; SharedCLib _kernel_getenv

|_kernel_setenv|
        MOV     pc,#0                            ; SharedCLib _kernel_setenv

|_kernel_register_allocs|
        MOV     pc,#0                            ; SharedCLib _kernel_register_allocs

|_kernel_alloc|
        MOV     pc,#0                            ; SharedCLib _kernel_alloc

|_kernel_stkovf_split_0frame|
        MOV     pc,#0                            ; SharedCLib _kernel_stkovf_split_0frame

|_kernel_stkovf_split|
        MOV     pc,#0                            ; SharedCLib _kernel_stkovf_split

|_kernel_stkovf_copyargs|
        MOV     pc,#0                            ; SharedCLib _kernel_stkovf_copyargs

|_kernel_stkovf_copy0args|
        MOV     pc,#0                            ; SharedCLib _kernel_stkovf_copy0args

|_kernel_udiv|
        MOV     pc,#0                            ; SharedCLib _kernel_udiv

|_kernel_urem|
        MOV     pc,#0                            ; SharedCLib _kernel_urem

|_kernel_udiv10|
        MOV     pc,#0                            ; SharedCLib _kernel_udiv10

|_kernel_sdiv|
        MOV     pc,#0                            ; SharedCLib _kernel_sdiv

|_kernel_srem|
        MOV     pc,#0                            ; SharedCLib _kernel_srem

|_kernel_sdiv10|
        MOV     pc,#0                            ; SharedCLib _kernel_sdiv10

|_kernel_fpavailable|
        MOV     pc,#0                            ; SharedCLib _kernel_fpavailable

|_kernel_moduleinit|
        MOV     pc,#0                            ; SharedCLib _kernel_moduleinit

|_kernel_irqs_on|
        MOV     pc,#0                            ; SharedCLib _kernel_irqs_on

|_kernel_irqs_off|
        MOV     pc,#0                            ; SharedCLib _kernel_irqs_off

|_kernel_irqs_disabled|
        MOV     pc,#0                            ; SharedCLib _kernel_irqs_disabled

|_kernel_entermodule|
        MOV     pc,#0                            ; SharedCLib _kernel_entermodule

|_kernel_escape_seen|
        MOV     pc,#0                            ; SharedCLib _kernel_escape_seen

|_kernel_current_stack_chunk|
        MOV     pc,#0                            ; SharedCLib _kernel_current_stack_chunk

|_kernel_swi_c|
        MOV     pc,#0                            ; SharedCLib _kernel_swi_c

|_kernel_register_slotextend|
        MOV     pc,#0                            ; SharedCLib _kernel_register_slotextend

|_kernel_raise_error|
        MOV     pc,#0                            ; SharedCLib _kernel_raise_error

|_kernel_vector_limit|
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-

|trapHandler|
        MOV     pc,#0                            ; SharedCLib trapHandler

|uncaughtTrapHandler|
        MOV     pc,#0                            ; SharedCLib uncaughtTrapHandler

|eventHandler|
        MOV     pc,#0                            ; SharedCLib eventHandler

|unhandledEventHandler|
        MOV     pc,#0                            ; SharedCLib unhandledEventHandler

|x$stack_overflow|
        MOV     pc,#0                            ; SharedCLib x$stack_overflow

|x$stack_overflow_1|
        MOV     pc,#0                            ; SharedCLib x$stack_overflow_1

|x$udivide|
        MOV     pc,#0                            ; SharedCLib x$udivide

|x$uremainder|
        MOV     pc,#0                            ; SharedCLib x$uremainder

|x$divide|
        MOV     pc,#0                            ; SharedCLib x$divide

|x$divtest|
        MOV     pc,#0                            ; SharedCLib x$divtest

|x$remainder|
        MOV     pc,#0                            ; SharedCLib x$remainder

|x$multiply|
        MOV     pc,#0                            ; SharedCLib x$multiply

|_rd1chk|
        MOV     pc,#0                            ; SharedCLib _rd1chk

|_rd2chk|
        MOV     pc,#0                            ; SharedCLib _rd2chk

|_rd4chk|
        MOV     pc,#0                            ; SharedCLib _rd4chk

|_wr1chk|
        MOV     pc,#0                            ; SharedCLib _wr1chk

|_wr2chk|
        MOV     pc,#0                            ; SharedCLib _wr2chk

|_wr4chk|
        MOV     pc,#0                            ; SharedCLib _wr4chk

|_main|
        MOV     pc,#0                            ; SharedCLib _main

|_exit|
        MOV     pc,#0                            ; SharedCLib _exit

|_clib_initialise|
        MOV     pc,#0                            ; SharedCLib _clib_initialise

|_backtrace|
        MOV     pc,#0                            ; SharedCLib _backtrace

|_count|
        MOV     pc,#0                            ; SharedCLib _count

|_count1|
        MOV     pc,#0                            ; SharedCLib _count1

|_stfp|
        MOV     pc,#0                            ; SharedCLib _stfp

|_ldfp|
        MOV     pc,#0                            ; SharedCLib _ldfp

|_printf|
        MOV     pc,#0                            ; SharedCLib _printf

|_fprintf|
        MOV     pc,#0                            ; SharedCLib _fprintf

|_sprintf|
        MOV     pc,#0                            ; SharedCLib _sprintf

|clock|
        MOV     pc,#0                            ; SharedCLib clock

|difftime|
        MOV     pc,#0                            ; SharedCLib difftime

|mktime|
        MOV     pc,#0                            ; SharedCLib mktime

|time|
        MOV     pc,#0                            ; SharedCLib time

|asctime|
        MOV     pc,#0                            ; SharedCLib asctime

|ctime|
        MOV     pc,#0                            ; SharedCLib ctime

|gmtime|
        MOV     pc,#0                            ; SharedCLib gmtime

|localtime|
        MOV     pc,#0                            ; SharedCLib localtime

|strftime|
        MOV     pc,#0                            ; SharedCLib strftime

|memcpy|
        MOV     pc,#0                            ; SharedCLib memcpy

|memmove|
        MOV     pc,#0                            ; SharedCLib memmove

|strcpy|
        MOV     pc,#0                            ; SharedCLib strcpy

|strncpy|
        MOV     pc,#0                            ; SharedCLib strncpy

|strcat|
        MOV     pc,#0                            ; SharedCLib strcat

|strncat|
        MOV     pc,#0                            ; SharedCLib strncat

|memcmp|
        MOV     pc,#0                            ; SharedCLib memcmp

|strcmp|
        MOV     pc,#0                            ; SharedCLib strcmp

|strncmp|
        MOV     pc,#0                            ; SharedCLib strncmp

|memchr|
        MOV     pc,#0                            ; SharedCLib memchr

|strchr|
        MOV     pc,#0                            ; SharedCLib strchr

|strcspn|
        MOV     pc,#0                            ; SharedCLib strcspn

|strpbrk|
        MOV     pc,#0                            ; SharedCLib strpbrk

|strrchr|
        MOV     pc,#0                            ; SharedCLib strrchr

|strspn|
        MOV     pc,#0                            ; SharedCLib strspn

|strstr|
        MOV     pc,#0                            ; SharedCLib strstr

|strtok|
        MOV     pc,#0                            ; SharedCLib strtok

|memset|
        MOV     pc,#0                            ; SharedCLib memset

|strerror|
        MOV     pc,#0                            ; SharedCLib strerror

|strlen|
        MOV     pc,#0                            ; SharedCLib strlen

|atof|
        MOV     pc,#0                            ; SharedCLib atof

|atoi|
        MOV     pc,#0                            ; SharedCLib atoi

|atol|
        MOV     pc,#0                            ; SharedCLib atol

|strtod|
        MOV     pc,#0                            ; SharedCLib strtod

|strtol|
        MOV     pc,#0                            ; SharedCLib strtol

|strtoul|
        MOV     pc,#0                            ; SharedCLib strtoul

|rand|
        MOV     pc,#0                            ; SharedCLib rand

|srand|
        MOV     pc,#0                            ; SharedCLib srand

|calloc|
        MOV     pc,#0                            ; SharedCLib calloc

|free|
        MOV     pc,#0                            ; SharedCLib free

|malloc|
        MOV     pc,#0                            ; SharedCLib malloc

|realloc|
        MOV     pc,#0                            ; SharedCLib realloc

|abort|
        MOV     pc,#0                            ; SharedCLib abort

|atexit|
        MOV     pc,#0                            ; SharedCLib atexit

|exit|
        MOV     pc,#0                            ; SharedCLib exit

|getenv|
        MOV     pc,#0                            ; SharedCLib getenv

|system|
        MOV     pc,#0                            ; SharedCLib system

|bsearch|
        MOV     pc,#0                            ; SharedCLib bsearch

|qsort|
        MOV     pc,#0                            ; SharedCLib qsort

|abs|
        MOV     pc,#0                            ; SharedCLib abs

|div|
        MOV     pc,#0                            ; SharedCLib div

|labs|
        MOV     pc,#0                            ; SharedCLib labs

|ldiv|
        MOV     pc,#0                            ; SharedCLib ldiv

|remove|
        MOV     pc,#0                            ; SharedCLib remove

|rename|
        MOV     pc,#0                            ; SharedCLib rename

|tmpfile|
        MOV     pc,#0                            ; SharedCLib tmpfile

|_old_tmpnam|
        MOV     pc,#0                            ; SharedCLib _old_tmpnam

|fclose|
        MOV     pc,#0                            ; SharedCLib fclose

|fflush|
        MOV     pc,#0                            ; SharedCLib fflush

|fopen|
        MOV     pc,#0                            ; SharedCLib fopen

|freopen|
        MOV     pc,#0                            ; SharedCLib freopen

|setbuf|
        MOV     pc,#0                            ; SharedCLib setbuf

|setvbuf|
        MOV     pc,#0                            ; SharedCLib setvbuf

|printf|
        MOV     pc,#0                            ; SharedCLib printf

|fprintf|
        MOV     pc,#0                            ; SharedCLib fprintf

|sprintf|
        MOV     pc,#0                            ; SharedCLib sprintf

|scanf|
        MOV     pc,#0                            ; SharedCLib scanf

|fscanf|
        MOV     pc,#0                            ; SharedCLib fscanf

|sscanf|
        MOV     pc,#0                            ; SharedCLib sscanf

|vprintf|
        MOV     pc,#0                            ; SharedCLib vprintf

|vfprintf|
        MOV     pc,#0                            ; SharedCLib vfprintf

|vsprintf|
        MOV     pc,#0                            ; SharedCLib vsprintf

|_vprintf|
        MOV     pc,#0                            ; SharedCLib _vprintf

|fgetc|
        MOV     pc,#0                            ; SharedCLib fgetc

|fgets|
        MOV     pc,#0                            ; SharedCLib fgets

|fputc|
        MOV     pc,#0                            ; SharedCLib fputc

|fputs|
        MOV     pc,#0                            ; SharedCLib fputs

|__filbuf|
        MOV     pc,#0                            ; SharedCLib __filbuf

|getc|
        MOV     pc,#0                            ; SharedCLib getc

|getchar|
        MOV     pc,#0                            ; SharedCLib getchar

|gets|
        MOV     pc,#0                            ; SharedCLib gets

|__flsbuf|
        MOV     pc,#0                            ; SharedCLib __flsbuf

|putc|
        MOV     pc,#0                            ; SharedCLib putc

|putchar|
        MOV     pc,#0                            ; SharedCLib putchar

|puts|
        MOV     pc,#0                            ; SharedCLib puts

|ungetc|
        MOV     pc,#0                            ; SharedCLib ungetc

|fread|
        MOV     pc,#0                            ; SharedCLib fread

|fwrite|
        MOV     pc,#0                            ; SharedCLib fwrite

|fgetpos|
        MOV     pc,#0                            ; SharedCLib fgetpos

|fseek|
        MOV     pc,#0                            ; SharedCLib fseek

|fsetpos|
        MOV     pc,#0                            ; SharedCLib fsetpos

|ftell|
        MOV     pc,#0                            ; SharedCLib ftell

|rewind|
        MOV     pc,#0                            ; SharedCLib rewind

|clearerr|
        MOV     pc,#0                            ; SharedCLib clearerr

|feof|
        MOV     pc,#0                            ; SharedCLib feof

|ferror|
        MOV     pc,#0                            ; SharedCLib ferror

|perror|
        MOV     pc,#0                            ; SharedCLib perror

|__ignore_signal_handler|
        MOV     pc,#0                            ; SharedCLib __ignore_signal_handler

|__error_signal_marker|
        MOV     pc,#0                            ; SharedCLib __error_signal_marker

|__default_signal_handler|
        MOV     pc,#0                            ; SharedCLib __default_signal_handler

|signal|
        MOV     pc,#0                            ; SharedCLib signal

|raise|
        MOV     pc,#0                            ; SharedCLib raise

|setjmp|
        MOV     pc,#0                            ; SharedCLib setjmp

|longjmp|
        MOV     pc,#0                            ; SharedCLib longjmp

|acos|
        MOV     pc,#0                            ; SharedCLib acos

|asin|
        MOV     pc,#0                            ; SharedCLib asin

|atan|
        MOV     pc,#0                            ; SharedCLib atan

|atan2|
        MOV     pc,#0                            ; SharedCLib atan2

|cos|
        MOV     pc,#0                            ; SharedCLib cos

|sin|
        MOV     pc,#0                            ; SharedCLib sin

|tan|
        MOV     pc,#0                            ; SharedCLib tan

|cosh|
        MOV     pc,#0                            ; SharedCLib cosh

|sinh|
        MOV     pc,#0                            ; SharedCLib sinh

|tanh|
        MOV     pc,#0                            ; SharedCLib tanh

|exp|
        MOV     pc,#0                            ; SharedCLib exp

|frexp|
        MOV     pc,#0                            ; SharedCLib frexp

|ldexp|
        MOV     pc,#0                            ; SharedCLib ldexp

|log|
        MOV     pc,#0                            ; SharedCLib log

|log10|
        MOV     pc,#0                            ; SharedCLib log10

|modf|
        MOV     pc,#0                            ; SharedCLib modf

|pow|
        MOV     pc,#0                            ; SharedCLib pow

|sqrt|
        MOV     pc,#0                            ; SharedCLib sqrt

|ceil|
        MOV     pc,#0                            ; SharedCLib ceil

|fabs|
        MOV     pc,#0                            ; SharedCLib fabs

|floor|
        MOV     pc,#0                            ; SharedCLib floor

|fmod|
        MOV     pc,#0                            ; SharedCLib fmod

|setlocale|
        MOV     pc,#0                            ; SharedCLib setlocale

|isalnum|
        MOV     pc,#0                            ; SharedCLib isalnum

|isalpha|
        MOV     pc,#0                            ; SharedCLib isalpha

|iscntrl|
        MOV     pc,#0                            ; SharedCLib iscntrl

|isdigit|
        MOV     pc,#0                            ; SharedCLib isdigit

|isgraph|
        MOV     pc,#0                            ; SharedCLib isgraph

|islower|
        MOV     pc,#0                            ; SharedCLib islower

|isprint|
        MOV     pc,#0                            ; SharedCLib isprint

|ispunct|
        MOV     pc,#0                            ; SharedCLib ispunct

|isspace|
        MOV     pc,#0                            ; SharedCLib isspace

|isupper|
        MOV     pc,#0                            ; SharedCLib isupper

|isxdigit|
        MOV     pc,#0                            ; SharedCLib isxdigit

|tolower|
        MOV     pc,#0                            ; SharedCLib tolower

|toupper|
        MOV     pc,#0                            ; SharedCLib toupper

|__assert|
        MOV     pc,#0                            ; SharedCLib __assert

|_memcpy|
        MOV     pc,#0                            ; SharedCLib _memcpy

|_memset|
        MOV     pc,#0                            ; SharedCLib _memset

|localeconv|
        MOV     pc,#0                            ; SharedCLib localeconv

|mblen|
        MOV     pc,#0                            ; SharedCLib mblen

|mbtowc|
        MOV     pc,#0                            ; SharedCLib mbtowc

|wctomb|
        MOV     pc,#0                            ; SharedCLib wctomb

|mbstowcs|
        MOV     pc,#0                            ; SharedCLib mbstowcs

|wcstombs|
        MOV     pc,#0                            ; SharedCLib wcstombs

|strxfrm|
        MOV     pc,#0                            ; SharedCLib strxfrm

|strcoll|
        MOV     pc,#0                            ; SharedCLib strcoll

|_clib_finalisemodule|
        MOV     pc,#0                            ; SharedCLib _clib_finalisemodule

|_clib_version|
        MOV     pc,#0                            ; SharedCLib _clib_version

|finalise|
        MOV     pc,#0                            ; SharedCLib finalise

|tmpnam|
        MOV     pc,#0                            ; SharedCLib tmpnam

|_swi|
        MOV     pc,#0                            ; SharedCLib _swi

|_swix|
        MOV     pc,#0                            ; SharedCLib _swix

|_clib_vector_limit|
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-

|SharedCLib_Stub_Chunk|
        DCD     &00000001                        ; SCL Stub chunk ID (kernel)
        DCD     |_kernel_init|                   ; SCL Entry vector base  -> SharedCLib Func: _kernel_init
        DCD     |_kernel_vector_limit|           ; SCL Entry vector limit -> Word: &00000000
        DCD     |SCL_static_data_Start|          ; SCL Static data base   -> SCL static data: &00000000
        DCD     |SCL_static_data2|               ; SCL Static data limit  -> SCL static data: &00000000
        DCD     &00000002                        ; SCL Stub chunk ID (CLib)
        DCD     |trapHandler|                    ; SCL Entry vector base  -> SharedCLib Func: trapHandler
        DCD     |_clib_vector_limit|             ; SCL Entry vector limit -> Word: &00000000
        DCD     |SCL_static_data2|               ; SCL Static data base   -> SCL static data: &00000000
        DCD     |SCL_static_data_Limit|          ; SCL Static data limit  -> Word: &00000000
        DCD     &FFFFFFFF                        ; SCL Stubs chunk end

|SharedCLib_Language_Block|
        DCD     &00000028                        ; SCL Language Desciptor Block size
|SharedCLib_Language_Block.Relocated_Address|
        DCD     |FirstSymbol|                    ; SCL Code start       -> Symbol: "main",0
        DCD     |Main_entry_point|               ; SCL Code end         -> Func: Main entry point
        DCD     |C.String|                       ; SCL Name             -> String: "C",0
        DCD     |InitProc|                       ; SCL InitProc         -> Func: InitProc
        DCD     &00000000                        ; SCL FinialiseProc
        DCD     |trapHandler|                    ; SCL TrapProc         -> SharedCLib Func: trapHandler
        DCD     |uncaughtTrapHandler|            ; SCL UncaughtTrapProc -> SharedCLib Func: uncaughtTrapHandler
        DCD     |eventHandler|                   ; SCL EventProc        -> SharedCLib Func: eventHandler
        DCD     |unhandledEventHandler|          ; SCL FastEventProc    -> SharedCLib Func: unhandledEventHandler

|Read/Write_Area_Start|

; insert Read/Write area data

|Read/Write_Area_End|


|SCL_static_data_Start|				 ; Add any references in to this area
        DCD     &00000000                        ; SCL static data -/- (referenced)
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
|SCL_static_data1|
        DCD     &00000000                        ; SCL static data -/- (referenced)
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
|SCL_static_data2|
        DCD     &00000000                        ; SCL static data -/- (referenced)
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
        DCD     &00000000                        ; SCL static data -/-
|SCL_static_data_Limit|

        END

