; Template for conversion of of 26bit C module veneers and stubs to 32bit
; Generated by Armalyser 0.43 (31-Jan-2003)


; 1) Run the original binary through ARMalyser
; 2) Replace the Module header including with the one from the this file.
;    Zero any fields which are unused in the original and removed associated
;    handler functions.
; 3) Add service call table entries and fast rejection code
; 4) Check for any gernic / IRQ entry points, new veneers have not been
;    provided in this tenplate, suitable ones will have to be written
; 5) Strip the 26bit stubs consisting of the C.String, InitProc, Main Entry
;    Point, Module Entry Point, kernel and SCL jump tables and SCL stub chunk
;    SCL Language blocks. These will normally be in a continuous block
;    near the end, but early compilers may place the functions elsewhere.
;    Replace with the ones from this file.
; 6) Remove any refreences to the old stub / ebtry point routines from the
;    relocation table and add the entries from this file
; 7) Add correct module name to the |Generic.Error_Block| message string
; 8) Fix up any any labels pointing to the replaced code.
;    E.g. |L00001234.Initialisation_code| to |Initialisation_code|
; 9) Convert the main body of the code to 32bit neutral non flag preserving.
;10) Assemble, link, run, debug and enjoy.


XMessageTrans_ErrorLookup               EQU &061506
XOS_GetEnv                              EQU &020010
XSharedCLibrary_LibInitAPCS_32          EQU &0A0683
OS_GenerateError                        EQU &00002B
MessageTrans_ErrorLookup                EQU &041506
XOS_Module                              EQU &02001E
XSharedCLibrary_LibInitModuleAPCS_32    EQU &0A0684

SWI_Chunk_Base                          EQU ?

        ORG      &0

        ENTRY

|Module_Header|
        DCD     |Start_code|                     ; Start offset
        DCD     |Initialisation_code|            ; Initialisation offset
        DCD     |Finalisation_code|              ; Finalisation offset
        DCD     |Service_call_handler_code|      ; Service call handler offset
        DCD     |Title.String|                   ; Title string offset
        DCD     |Help.String|                    ; Help string offset
        DCD     |Command_Table|                  ; Help and command keyword table offset
        DCD     SWI_Chunk_Base                   ; SWI chunk base number
        DCD     |SWI_handler_code|               ; SWI handler code offset
        DCD     &00000000                        ; SWI decoding table offset
        DCD     &00000000                        ; SWI decoding code offset
        DCD     &00000000                        ; MessageTrans file
        DCD     |Module_flags|                   ; Module Flags

|Module_flags|
        DCD     &00000001                        ; Module flags Word -/- (referenced)

|Title.String|
        DCB     "",0                             ; String r/- (referenced)
|Help.String|
        DCB     "",0                             ; String -/- (referenced)
	ALIGN

|Command_Table|
        ; Replace command table

        ; Replace Command table index setup code sequences

|Command_code|
        STMFD   sp!,{a1,sl,fp,lr}
        MOV     sl,sp,LSR #20
        MOV     sl,sl,LSL #20
        LDMIA   sl,{v1,v2}
        MOV     a4,ip
        LDR     ip,[ip,#0]
        LDMIB   ip,{fp,ip}
        STMIA   sl,{fp,ip}
        ADD     sl,sl,#&87,30                    ; =&21C
        MOV     fp,#0
        BL      |Command_Handler_C|
        SUB     sl,sl,#&87,30                    ; =&21C
        STMIA   sl,{v1,v2}
        LDMFD   sp!,{a2,sl,fp,lr}
        CMP     a2,a1
        CMPNE   a1,#0
        MOVEQ   pc,lr                            ; Function exit if EQ
        CMN     a1,#1
        MOVEQ   a1,#0
        MOV     a2,#0
        CMP     a2,#&02,2                        ; =1<<31
        MOV     pc,lr                            ; Function exit, Ends


|Service_Table|
        DCD     &00000000                        ; Service Table: Version 0
        DCD     |RO4_Service_call_handler|       ; Service Table: RO4 Entry -> Code: RO4 Service call handler
        ; Replace fast service call numbers
        DCD     &00000000                        ; Service Table: End

|Service_call_handler_prefix.Offset|
        DCD     |Service_Table|                  ; Offset -/- -> Service Table Word: &00000000

|Service_call_handler_code|
        MOV     a1,a1                            ; Entry Point, Service call handler code, (Referenced)
        ; Replace fast rejection code
        MOVNE   pc,lr                            ; Function exit if NE

|RO4_Service_call_handler|
        STMFD   sp!,{a1-fp,lr}                   ; Entry Point, RO4 Service call handler
        MOV     a1,a2
        MOV     a2,sp
        TEQ     pc,pc
        MOVNE   v5,pc
        BICNE   a4,v5,#3
        TEQNEP  a4,#3                            ; Guarded not 32bit safe instruction, (uses PSR)
        MRSEQ   v3,CPSR                          ; Guarded not ARM2/3
        ORREQ   a4,v3,#3
        MSREQ   CPSR_c,a4                        ; Guarded not ARM2/3, CAUTION: Unpredicatble - StrongARM bug - next op exec'd twice.
        MOV     fp,#0                            ; CAUTION: should be a NOP, uses banked register.
        MOV     v4,lr
        MOV     sl,sp,LSR #20
        MOV     sl,sl,LSL #20
        LDMIA   sl,{v1,v2}
        MOV     a3,ip
        LDR     ip,[ip,#0]
        LDMIB   ip,{ip,lr}
        STMIA   sl,{ip,lr}
        ADD     sl,sl,#&87,30                    ; =&21C
        BL      |Service_call_handler_C|
        MOV     lr,v4
        TEQ     pc,pc
        MSREQ   CPSR_c,v3                        ; Guarded ARMv3 instruction, CAUTION: Unpredicatble - StrongARM bug - next op exec'd twice.
        TEQNEP  v5,#0                            ; Guarded not 32bit safe instruction, (uses PSR), CAUTION: should be a NOP, uses banked register.
        SUB     sl,sl,#&87,30                    ; =&21C, CAUTION: should be a NOP.
        STMIA   sl,{v1,v2}
        LDMFD   sp!,{a1-fp,pc}                   ; Function exit, Ends

|Start_code|
        B       |CInit_Start|                    ; Entry Point, Start code, Ends, (Referenced)

|Initialisation_code|
        STMFD   sp!,{v4-fp,lr}                   ; Entry Point, Initialisation code, (Referenced)
        MOV     a1,#1
        BL      |CInit_Initialise|
        LDMVSFD sp!,{v4-fp,pc}                   ; Function exit if VS
        MOV     a3,a1
        MOV     v3,a1
        SUB     sl,sl,#&87,30                    ; =&21C
        LDMIA   sl,{a1,a2}
        SUB     sl,sl,#&14                       ; =20
        LDMIA   sl,{v1,v2}
        STMIA   sl,{a1,a2}
        ADD     sl,sl,#&87,30                    ; =&21C
        ADD     a1,sp,#&0C                       ; =12
        LDMIA   a1,{a1,a2}
        MOV     fp,#0
        BL      |Initialisation_C|
        TEQ     a1,#0
        BEQ     |Initialisation_code1|
        STR     a1,[sp,#-4]!
        MOV     a1,v3
        BL      |_clib_finalisemodule|           ; -> SharedCLib Func: _clib_finalisemodule
        LDR     a1,[sp],#4
|Initialisation_code1|
        SUB     sl,sl,#&87,30                    ; =&21C
        STMIA   sl,{v1,v2}
        CMP     a1,#0
        MOVNE   a2,#0
        CMPNE   a2,#&02,2                        ; =1<<31
        LDMFD   sp!,{v4-fp,pc}                   ; Function exit, Ends

|Finalisation_code|
        STMFD   sp!,{v4-ip,lr}                   ; Entry Point, Finalisation code, (Referenced)
        MOV     sl,sp,LSR #20
        MOV     sl,sl,LSL #20
        LDMIA   sl,{v1,v2}
        LDR     ip,[ip,#0]
        LDMIB   ip,{fp,ip}
        STMIA   sl,{fp,ip}
        ADD     sl,sl,#&87,30                    ; =&21C
        MOV     fp,#0
        ADD     a1,sp,#&0C                       ; =12
        LDMIA   a1,{a1-a3}
        BL      |Finalisation_C|
        CMP     a1,#0
        BNE     |Finalisation_code1|
        LDR     a1,[sp,#&014]                    ; =20
        BL      |_clib_finalisemodule|           ; -> SharedCLib Func: _clib_finalisemodule
        MOVS    a1,#0
|Finalisation_code1|
        SUB     sl,sl,#&87,30                    ; =&21C
        STMIA   sl,{v1,v2}
        MOVNE   a2,#0
        CMPNE   a2,#&02,2                        ; =1<<31
        LDMFD   sp!,{v4-ip,pc}                   ; Function exit, Ends

|SWI_handler_code|
        STMFD   sp!,{a1-v6,lr}                   ; Entry Point, (preserves flags), SWI handler code, (Referenced)
        MRS     v5,CPSR                          ; Not ARM2/3
        MOV     sl,sp,LSR #20
        MOV     sl,sl,LSL #20
        MOV     a1,fp
        MOV     a2,sp
        LDMIA   sl,{v1,v2}
        MOV     a3,ip
        LDR     ip,[ip,#0]
        LDMIB   ip,{fp,ip}
        STMIA   sl,{fp,ip}
        ADD     sl,sl,#&87,30                    ; =&21C
        MOV     fp,#0
        BL      |SWI_Handler_C|
        SUB     sl,sl,#&87,30                    ; =&21C
        STMIA   sl,{v1,v2}
        TEQ     a1,#0
        BNE     |SWI_handler_code1|
        TEQ     pc,pc
        LDMNEFD sp!,{a1-v6,pc}^                  ; Guarded not 32bit safe instruction, (uses PSR), Function exit if NE
        MSR     CPSR_cxsf,v5                     ; Guarded ARMv3 instruction
        LDMFD   sp!,{a1-v6,pc}                   ; CAUTION: uses banked register. Function exit, Ends
|SWI_handler_code1|
        ADD     sp,sp,#4
        CMN     a1,#1
|SWI_handler_code2|
        BEQ     |SWI_handler_code3|
        TEQ     pc,pc
        LDMNEFD sp!,{a2-v6,lr}
        ORRNES  pc,lr,#&01,4                     ; =1<<28, Guarded not 32bit safe instruction, (uses PSR)
        ORR     v5,v5,#&01,4                     ; =1<<28
        MSR     CPSR_cxsf,v5                     ; Guarded ARMv3 instruction
        LDMFD   sp!,{a2-v6,pc}                   ; CAUTION: uses banked register. Function exit, Ends
|SWI_handler_code3|
        ADR     a1,|SWI_handler_code.Error_Block| ; -> Error Block Word: &000001E6
        MOV     a2,#0
        MOV     a3,#0
        ADR     v1,|Title.String|                 ; -> String: "TestCModule",0
        SWI     XMessageTrans_ErrorLookup
        B       |SWI_handler_code2|              ; Ends

|SWI_handler_code.Error_Block|
        DCD     &000001E6                        ; Error Block Word r/- (referenced)
        DCB     "BadSWI",0,0                     ; Error Block String -/-

|First.Symbol|
        DCB     "",0                             ; Symbol -/- (referenced)
        ALIGN
        DCD     &FF000008                        ; Symbol Word -/- Func: tm_swi

|SWI_Handler_C|
; SWI handler C function

|Command_Handler_C|
; Command handler C function

|Service_call_handler_C|
; Sevice call handler C function

|Initialisation_C|
; Initialisation C function

|Finalisation_C|
; Finalisation C function

|main.Symbol|
        DCB     "main",0,0,0,0                   ; Symbol -/-
        DCD     &FF000008                        ; Symbol Word -/- Func: main

|main|
; main C function

; Insert remainder of C code

|C.String|
        DCB     "C",0,0,0                        ;~ String -/- (referenced)

|InitProc|
        LDR     a1,|InitProc_D1.Relocated_Address| ;~ ->-> &000012D1 SCL static data array, Entry Point, InitProc, (Referenced)
        LDR     a2,[sl,#-&218]                   ;~ =-536
        ADD     a1,a1,a2                         ;~
        MOV     a2,#1                            ;~
        STRB    a2,[a1,#0]                       ;~
        STR     lr,[sp,#-4]!                     ;~
        ADD     a1,sp,#4                         ;~
        LDR     a2,|InitProc_D2.Relocated_Address| ;~ ->-> SharedCLib Language Block Word: &00000028
        LDMIB   a2,{a2,a3}                       ;~
        BL      |_clib_initialise|               ;~ -> SharedCLib Func: _clib_initialise
        LDR     a1,|InitProc_D3.Relocated_Address| ;~ ->-> Func: main
        CMP     a1,#0                            ;~
        ADRNE   a1,|InitProc1|                   ;~
        LDR     pc,[sp],#4                       ;~ Function exit, Ends

|InitProc1|
        MOV     ip,sp                            ;~ Entry Point, (Referenced)
        STMFD   sp!,{fp,ip,lr,pc}                ;~
        SUB     fp,ip,#4                         ;~
        BL      |_kernel_command_string|         ;~ -> SharedCLib Func: _kernel_command_string
        LDR     a2,|InitProc_D3.Relocated_Address| ;~ ->-> Func: main
        BL      |_main|                          ;~ -> SharedCLib Func: _main
        LDMDB   fp,{fp,sp,pc}                    ;~ Function exit, Ends

|InitProc_D1.Relocated_Address|
        DCD     |SCL_static_data1|+1+&00008000  ; Relocated Address r/w (referenced) &000012D1-> &00000000 SCL static data array
|InitProc_D2.Relocated_Address|
        DCD     |SharedCLib_Language_Block|+&00008000 ; Relocated Address r/w (referenced) &00001088-> SharedCLib Language Block Word: &00000028
|InitProc_D3.Relocated_Address|
        DCD     |main|+&00008000                ; Relocated Address r/w (referenced) &00000578-> Func: main

|Main_entry_point|
        SWI     XOS_GetEnv                       ;~ (Referenced)
        MOV     a3,a2                            ;~
        LDR     a2,|Main_entry_point_D4.Relocated_Address| ;~ ->-> &00002020 SCL static data array
        MVN     a4,#0                            ;~
        MOV     v1,#0                            ;~
        MVN     v2,#0                            ;~
        LDR     a1,|Main_entry_point_D5.Relocated_Address| ;~ ->-> SharedCLib Stub Chunk Word: &00000001
        LDR     v3,|Main_entry_point_D6|                   ;~ -> Word: &00000000
        CMP     v3,#0                            ;~
        MOVEQ   v3,#&01,20                       ;~ =1<<12
        LDRNE   v3,[v3,#0]                       ;~
        MOV     v3,v3,ASR #10                    ;~
        MOV     v3,v3,LSL #16                    ;~
        MOV     lr,#0                            ;~
        MRS     lr,CPSR                          ;~ Not ARM2/3
        TST     lr,#&1C                          ;~ =28
        ORRNE   v3,v3,#1                         ;~
        SWI     XSharedCLibrary_LibInitAPCS_32   ;~
        BVC     |Main_entry_point1|              ;~
        LDR     lr,[a1,#0]                       ;~
        LDR     v3,|Main_entry_point_D7|         ;~ -> Word: &00800E85
        TEQ     lr,v3                            ;~
        BEQ     |Main_entry_point2|              ;~
        SWIVS   OS_GenerateError                 ;~
|Main_entry_point1|
        MOV     v3,v3,LSL #16                    ;~
        CMP     v3,#&06,16                       ;~ =3<<17
        MOVGE   v1,a1                            ;~
        ADRGE   a1,|Main_entry_point_D1.Relocated_Address| ;~ ->->-> Code: Start code
        MOVGE   a4,#0                            ;~
        BGE     |_kernel_init|                   ;~ -> SharedCLib Func: _kernel_init
|Main_entry_point2|
        ADR     a1,|Main_entry_point_E3.Error_Block| ; -> Error Block Word: &00800E91
        MOV     v1,#0
        LDR     a2,[v1,#&FF0]                    ; =4080
        TEQ     a2,#0
        SWIEQ   OS_GenerateError
        ADD     a1,a1,#4
|Main_entry_point3|
        LDRB    lr,[a1],#1
        TEQ     lr,#0
        BNE     |Main_entry_point3|
        ADD     a1,a1,#3
        BIC     a1,a1,#3
        MOV     a3,#0
        MOV     v2,#0
        MOV     v3,#0
        MOV     v4,#0
        SWI     MessageTrans_ErrorLookup         ; Ends

|Main_entry_point_E1.Error_Block|
        DCD     &00800E90                        ;~~ Word -/-
        DCB     "Shared C library not loaded",0  ;~~ String -/-

|Main_entry_point_E2.Error_Block|
        DCD     &00800E90                        ;~~ Word -/-
        DCB     "C62",0                          ;~~ String -/-

|Main_entry_point_E3.Error_Block|
        DCD     &00800E91                        ; Error Block Word r/- (referenced)
        DCB     "Shared C library is out of date",0 ; Error Block String -/-

|Main_entry_point_E4.Error_Block|
        DCD     &00800E91                        ;~~ Word -/-
        DCB     "C63",0                          ;~~ String -/-

|Module_entry_point|
        STMFD   sp!,{lr}                         ; Function entry, (alters flags)
        MOV     v6,a1
        LDR     a1,|Module_entry_point_D1.Relocated_Address| ; ->-> Func @ &000011BC (alters flags)
        TEQ     a1,#0
        MVNEQ   a1,#0
        BLNE    |One_Time_Relocate|
        MOV     v5,a1
        MOV     v1,#0
        MVN     v2,#0
        CMP     v6,#0
        MOVEQ   a4,#&0C                          ; =12
        LDRNE   v1,|Module_entry_point_D2.Relocated_Address| ; ->-> Error Block Word: &00088000
        LDRNE   v2,|Main_entry_point_D4.Relocated_Address| ; ->-> &00002020  SCL static data array
        SUBNE   a4,v2,v1
        ADDNE   a4,a4,#&0C                       ; =12
        MOV     a1,#6
        SWI     XOS_Module
        LDMVSFD sp!,{pc}                         ; Function exit if VS
        STR     a3,[ip,#0]
        STR     a4,[a3,#0]
        MOV     v6,ip
        LDR     ip,[ip,#0]
        ADD     a2,ip,#&0C                       ; =12
        LDR     a3,[ip,#0]
        ADD     a3,a3,a2
        LDR     a4,|Module_entry_point_D3.Relocated_Address| ; ->-> Func @ &000011BC (alters flags)
        LDR     a1,|Main_entry_point_D5.Relocated_Address| ; ->-> SharedCLib Stub Chunk Word: &00000001
        LDR     v3,|Main_entry_point_D6|                   ; -> Word: &00000000
        CMP     v3,#0
        MOVEQ   v3,#&01,14                       ; =1<<18
        LDRNE   v3,[v3,#0]
        MOV     v3,v3,ASR #10
        MOV     v3,v3,LSL #16
        MOV     lr,#0
        MRS     lr,CPSR                          ; Not ARM2/3
        TST     lr,#&1C                          ; =28
        ORRNE   v3,v3,#1
        SWI     XSharedCLibrary_LibInitModuleAPCS_32
        BVS     |Module_entry_point3|
        STMFD   sp!,{a2-v2}
        LDR     a2,[ip,#0]
        CMP     a2,#&0C                          ; =12
        BEQ     |Module_entry_point2|
        CMN     v5,#1
        BEQ     |Module_entry_point2|
        LDR     a2,|Module_entry_point_D4.Relocated_Address| ; ->->-> Code: Start code
        LDR     a3,|Module_entry_point_D2.Relocated_Address| ; ->-> Error Block Word: &00088000
        ADD     a4,ip,#&0C                       ; =12
        SUB     a4,a4,a3
        ADD     a2,a2,a4
|Module_entry_point1|
        LDR     v1,[v5],#4
        MOVS    v1,v1,ASR #2
        BMI     |Module_entry_point2|
        BCC     |Module_entry_point1|
        LDR     v2,[a2,v1,LSL #2]
        ADD     v2,v2,a4
        STR     v2,[a2,v1,LSL #2]
        B       |Module_entry_point1|            ; Ends
|Module_entry_point2|
        LDMFD   sp!,{a2-v2}
        MOV     v3,v3,LSL #16
        CMP     v3,#&06,16                       ; =3<<17
        BLT     |Main_entry_point2|
        ADD     v5,a2,#&14                       ; =20
        LDMIA   v5,{v4,v5}
        STMIB   ip,{v4,v5}
        MOV     v1,a1
        ADR     a1,|Main_entry_point_D1.Relocated_Address| ; ->->-> Code: Start code
        B       |_kernel_moduleinit|             ; -> SharedCLib Func: _kernel_moduleinit, Ends
|Module_entry_point3|
        MOV     a2,a1
        MOV     a1,#7
        MOV     a3,ip
        SWI     XOS_Module
        MOV     a1,#0
        STR     a1,[v6,#0]
        MOV     a1,a2
        CMP     a1,#&02,2                        ; =1<<31
        CMNVC   a1,#&02,2                        ; =1<<31
        LDMFD   sp!,{pc}                         ; Function exit, Ends

|CInit_Initialise|
        STMFD   sp!,{lr}                         ; Function entry
        BL      |Module_entry_point|
        LDMVSFD sp!,{pc}                         ; Function exit if VS
        STMFD   sp!,{v6}
        BL      |_clib_initialise|               ; -> SharedCLib Func: _clib_initialise
        ADDS    a1,a1,#0
        LDMFD   sp!,{a1,pc}                      ; Function exit, Ends
|CInit_Start|
        ADR     a1,|Main_entry_point_D1.Relocated_Address| ; ->->-> Code: Start code
        MOV     v5,ip
        MVN     ip,#0
        LDR     v3,|Main_entry_point_D6|                   ; -> Word: &00000000
        CMP     v3,#0
        MOVEQ   v3,#&01,20                       ; =1<<12
        LDRNE   v3,[v3,#0]
        B       |_kernel_entermodule|            ; -> SharedCLib Func: _kernel_entermodule, Ends

|Main_entry_point_D1.Relocated_Address|
        DCD     |Module_Header|+&00008000        ; Relocated Address r/w (referenced) &00000000->-> Code: Start code
|Main_entry_point_D2.Relocated_Address|
        DCD     |SharedCLib_Language_Block|+&00008000 ; Relocated Address r/w (referenced) &00001088-> SharedCLib Language Block Word: &00000028
|Main_entry_point_D3.Relocated_Address|
        DCD     |Generic.Error_Block|+&00008000  ; Relocated Address r/w (referenced) &000010B0-> Error Block Word: &00088000
|Main_entry_point_D4.Relocated_Address|
        DCD     |SCL_static_data_Limit|+&00008000 ; Relocated Address r/w (referenced) &00002020->  SCL static data array
|Main_entry_point_D5.Relocated_Address|
        DCD     |SharedCLib_Stub_Chunk|+&00008000 ; Relocated Address r/w (referenced) &0000105C-> SharedCLib Stub Chunk Word: &00000001
|Main_entry_point_D6|
        DCD     &00000000                        ; Word r/- (referenced)
|Main_entry_point_D7|
        DCD     &00800E85                        ;~ Word r/- (referenced)
|Module_entry_point_D1.Relocated_Address|
        DCD     |One_Time_Relocate|+&00008000    ; Relocated Address r/w (referenced) &000011BC-> Func @ &000011BC (alters flags)
|Module_entry_point_D2.Relocated_Address|
        DCD     |Generic.Error_Block|+&00008000  ; Relocated Address r/w (referenced) &000010B0-> Error Block Word: &00088000
|Module_entry_point_D3.Relocated_Address|
        DCD     |One_Time_Relocate|+&00008000    ; Relocated Address r/w (referenced) &000011BC-> Func @ &000011BC (alters flags)
|Module_entry_point_D4.Relocated_Address|
        DCD     |Module_Header|+&00008000        ; Relocated Address r/w (referenced) &00000000->-> Code: Start code

|_kernel_init|
        MOV     pc,#0                            ; SharedCLib _kernel_init

|_kernel_exit|
        MOV     pc,#0                            ; SharedCLib _kernel_exit

|_kernel_setreturncode|
        MOV     pc,#0                            ; SharedCLib _kernel_setreturncode

|_kernel_exittraphandler|
        MOV     pc,#0                            ; SharedCLib _kernel_exittraphandler

|_kernel_unwind|
        MOV     pc,#0                            ; SharedCLib _kernel_unwind

|_kernel_procname|
        MOV     pc,#0                            ; SharedCLib _kernel_procname

|_kernel_language|
        MOV     pc,#0                            ; SharedCLib _kernel_language

|_kernel_command_string|
        MOV     pc,#0                            ; SharedCLib _kernel_command_string

|_kernel_hostos|
        MOV     pc,#0                            ; SharedCLib _kernel_hostos

|_kernel_swi|
        MOV     pc,#0                            ; SharedCLib _kernel_swi

|_kernel_osbyte|
        MOV     pc,#0                            ; SharedCLib _kernel_osbyte

|_kernel_osrdch|
        MOV     pc,#0                            ; SharedCLib _kernel_osrdch

|_kernel_oswrch|
        MOV     pc,#0                            ; SharedCLib _kernel_oswrch

|_kernel_osbget|
        MOV     pc,#0                            ; SharedCLib _kernel_osbget

|_kernel_osbput|
        MOV     pc,#0                            ; SharedCLib _kernel_osbput

|_kernel_osgbpb|
        MOV     pc,#0                            ; SharedCLib _kernel_osgbpb

|_kernel_osword|
        MOV     pc,#0                            ; SharedCLib _kernel_osword

|_kernel_osfind|
        MOV     pc,#0                            ; SharedCLib _kernel_osfind

|_kernel_osfile|
        MOV     pc,#0                            ; SharedCLib _kernel_osfile

|_kernel_osargs|
        MOV     pc,#0                            ; SharedCLib _kernel_osargs

|_kernel_oscli|
        MOV     pc,#0                            ; SharedCLib _kernel_oscli

|_kernel_last_oserror|
        MOV     pc,#0                            ; SharedCLib _kernel_last_oserror

|_kernel_system|
        MOV     pc,#0                            ; SharedCLib _kernel_system

|_kernel_getenv|
        MOV     pc,#0                            ; SharedCLib _kernel_getenv

|_kernel_setenv|
        MOV     pc,#0                            ; SharedCLib _kernel_setenv

|_kernel_register_allocs|
        MOV     pc,#0                            ; SharedCLib _kernel_register_allocs

|_kernel_alloc|
        MOV     pc,#0                            ; SharedCLib _kernel_alloc

|_kernel_stkovf_split_0frame|
        MOV     pc,#0                            ; SharedCLib _kernel_stkovf_split_0frame

|_kernel_stkovf_split|
        MOV     pc,#0                            ; SharedCLib _kernel_stkovf_split

|_kernel_stkovf_copyargs|
        MOV     pc,#0                            ; SharedCLib _kernel_stkovf_copyargs

|_kernel_stkovf_copy0args|
        MOV     pc,#0                            ; SharedCLib _kernel_stkovf_copy0args

|_kernel_udiv|
        MOV     pc,#0                            ; SharedCLib _kernel_udiv

|_kernel_urem|
        MOV     pc,#0                            ; SharedCLib _kernel_urem

|_kernel_udiv10|
        MOV     pc,#0                            ; SharedCLib _kernel_udiv10

|_kernel_sdiv|
        MOV     pc,#0                            ; SharedCLib _kernel_sdiv

|_kernel_srem|
        MOV     pc,#0                            ; SharedCLib _kernel_srem

|_kernel_sdiv10|
        MOV     pc,#0                            ; SharedCLib _kernel_sdiv10

|_kernel_fpavailable|
        MOV     pc,#0                            ; SharedCLib _kernel_fpavailable

|_kernel_moduleinit|
        MOV     pc,#0                            ; SharedCLib _kernel_moduleinit

|_kernel_irqs_on|
        MOV     pc,#0                            ; SharedCLib _kernel_irqs_on

|_kernel_irqs_off|
        MOV     pc,#0                            ; SharedCLib _kernel_irqs_off

|_kernel_irqs_disabled|
        MOV     pc,#0                            ; SharedCLib _kernel_irqs_disabled

|_kernel_entermodule|
        MOV     pc,#0                            ; SharedCLib _kernel_entermodule

|_kernel_escape_seen|
        MOV     pc,#0                            ; SharedCLib _kernel_escape_seen

|_kernel_current_stack_chunk|
        MOV     pc,#0                            ; SharedCLib _kernel_current_stack_chunk

|_kernel_swi_c|
        MOV     pc,#0                            ; SharedCLib _kernel_swi_c

|_kernel_register_slotextend|
        MOV     pc,#0                            ; SharedCLib _kernel_register_slotextend

|_kernel_raise_error|
        MOV     pc,#0                            ; SharedCLib _kernel_raise_error

|_kernel_vector_limit|
        DCD     &00000000                        ;~ Word -/- (referenced)
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-

|TrapProc|
        MOV     pc,#0                            ; SharedCLib TrapProc

|UncaughtTrapProc|
        MOV     pc,#0                            ; SharedCLib UncaughtTrapProc

|EventProc|
        MOV     pc,#0                            ; SharedCLib EventProc

|FastEventProc|
        MOV     pc,#0                            ; SharedCLib FastEventProc

|x$stack_overflow|
        MOV     pc,#0                            ; SharedCLib x$stack_overflow

|x$stack_overflow_1|
        MOV     pc,#0                            ; SharedCLib x$stack_overflow_1

|x$udivide|
        MOV     pc,#0                            ; SharedCLib x$udivide

|x$uremainder|
        MOV     pc,#0                            ; SharedCLib x$uremainder

|x$divide|
        MOV     pc,#0                            ; SharedCLib x$divide

|x$divtest|
        MOV     pc,#0                            ; SharedCLib x$divtest

|x$remainder|
        MOV     pc,#0                            ; SharedCLib x$remainder

|x$multiply|
        MOV     pc,#0                            ; SharedCLib x$multiply

|_rd1chk|
        MOV     pc,#0                            ; SharedCLib _rd1chk

|_rd2chk|
        MOV     pc,#0                            ; SharedCLib _rd2chk

|_rd4chk|
        MOV     pc,#0                            ; SharedCLib _rd4chk

|_wr1chk|
        MOV     pc,#0                            ; SharedCLib _wr1chk

|_wr2chk|
        MOV     pc,#0                            ; SharedCLib _wr2chk

|_wr4chk|
        MOV     pc,#0                            ; SharedCLib _wr4chk

|_main|
        MOV     pc,#0                            ; SharedCLib _main

|_exit|
        MOV     pc,#0                            ; SharedCLib _exit

|_clib_initialise|
        MOV     pc,#0                            ; SharedCLib _clib_initialise

|_backtrace|
        MOV     pc,#0                            ; SharedCLib _backtrace

|_count|
        MOV     pc,#0                            ; SharedCLib _count

|_count1|
        MOV     pc,#0                            ; SharedCLib _count1

|_stfp|
        MOV     pc,#0                            ; SharedCLib _stfp

|_ldfp|
        MOV     pc,#0                            ; SharedCLib _ldfp

|_printf|
        MOV     pc,#0                            ; SharedCLib _printf

|_fprintf|
        MOV     pc,#0                            ; SharedCLib _fprintf

|_sprintf|
        MOV     pc,#0                            ; SharedCLib _sprintf

|clock|
        MOV     pc,#0                            ; SharedCLib clock

|difftime|
        MOV     pc,#0                            ; SharedCLib difftime

|mktime|
        MOV     pc,#0                            ; SharedCLib mktime

|time|
        MOV     pc,#0                            ; SharedCLib time

|asctime|
        MOV     pc,#0                            ; SharedCLib asctime

|ctime|
        MOV     pc,#0                            ; SharedCLib ctime

|gmtime|
        MOV     pc,#0                            ; SharedCLib gmtime

|localtime|
        MOV     pc,#0                            ; SharedCLib localtime

|strftime|
        MOV     pc,#0                            ; SharedCLib strftime

|memcpy|
        MOV     pc,#0                            ; SharedCLib memcpy

|memmove|
        MOV     pc,#0                            ; SharedCLib memmove

|strcpy|
        MOV     pc,#0                            ; SharedCLib strcpy

|strncpy|
        MOV     pc,#0                            ; SharedCLib strncpy

|strcat|
        MOV     pc,#0                            ; SharedCLib strcat

|strncat|
        MOV     pc,#0                            ; SharedCLib strncat

|memcmp|
        MOV     pc,#0                            ; SharedCLib memcmp

|strcmp|
        MOV     pc,#0                            ; SharedCLib strcmp

|strncmp|
        MOV     pc,#0                            ; SharedCLib strncmp

|memchr|
        MOV     pc,#0                            ; SharedCLib memchr

|strchr|
        MOV     pc,#0                            ; SharedCLib strchr

|strcspn|
        MOV     pc,#0                            ; SharedCLib strcspn

|strpbrk|
        MOV     pc,#0                            ; SharedCLib strpbrk

|strrchr|
        MOV     pc,#0                            ; SharedCLib strrchr

|strspn|
        MOV     pc,#0                            ; SharedCLib strspn

|strstr|
        MOV     pc,#0                            ; SharedCLib strstr

|strtok|
        MOV     pc,#0                            ; SharedCLib strtok

|memset|
        MOV     pc,#0                            ; SharedCLib memset

|strerror|
        MOV     pc,#0                            ; SharedCLib strerror

|strlen|
        MOV     pc,#0                            ; SharedCLib strlen

|atof|
        MOV     pc,#0                            ; SharedCLib atof

|atoi|
        MOV     pc,#0                            ; SharedCLib atoi

|atol|
        MOV     pc,#0                            ; SharedCLib atol

|strtod|
        MOV     pc,#0                            ; SharedCLib strtod

|strtol|
        MOV     pc,#0                            ; SharedCLib strtol

|strtoul|
        MOV     pc,#0                            ; SharedCLib strtoul

|rand|
        MOV     pc,#0                            ; SharedCLib rand

|srand|
        MOV     pc,#0                            ; SharedCLib srand

|calloc|
        MOV     pc,#0                            ; SharedCLib calloc

|free|
        MOV     pc,#0                            ; SharedCLib free

|malloc|
        MOV     pc,#0                            ; SharedCLib malloc

|realloc|
        MOV     pc,#0                            ; SharedCLib realloc

|abort|
        MOV     pc,#0                            ; SharedCLib abort

|atexit|
        MOV     pc,#0                            ; SharedCLib atexit

|exit|
        MOV     pc,#0                            ; SharedCLib exit

|getenv|
        MOV     pc,#0                            ; SharedCLib getenv

|system|
        MOV     pc,#0                            ; SharedCLib system

|bsearch|
        MOV     pc,#0                            ; SharedCLib bsearch

|qsort|
        MOV     pc,#0                            ; SharedCLib qsort

|abs|
        MOV     pc,#0                            ; SharedCLib abs

|div|
        MOV     pc,#0                            ; SharedCLib div

|labs|
        MOV     pc,#0                            ; SharedCLib labs

|ldiv|
        MOV     pc,#0                            ; SharedCLib ldiv

|remove|
        MOV     pc,#0                            ; SharedCLib remove

|rename|
        MOV     pc,#0                            ; SharedCLib rename

|tmpfile|
        MOV     pc,#0                            ; SharedCLib tmpfile

|_old_tmpnam|
        MOV     pc,#0                            ; SharedCLib _old_tmpnam

|fclose|
        MOV     pc,#0                            ; SharedCLib fclose

|fflush|
        MOV     pc,#0                            ; SharedCLib fflush

|fopen|
        MOV     pc,#0                            ; SharedCLib fopen

|freopen|
        MOV     pc,#0                            ; SharedCLib freopen

|setbuf|
        MOV     pc,#0                            ; SharedCLib setbuf

|setvbuf|
        MOV     pc,#0                            ; SharedCLib setvbuf

|printf|
        MOV     pc,#0                            ; SharedCLib printf

|fprintf|
        MOV     pc,#0                            ; SharedCLib fprintf

|sprintf|
        MOV     pc,#0                            ; SharedCLib sprintf

|scanf|
        MOV     pc,#0                            ; SharedCLib scanf

|fscanf|
        MOV     pc,#0                            ; SharedCLib fscanf

|sscanf|
        MOV     pc,#0                            ; SharedCLib sscanf

|vprintf|
        MOV     pc,#0                            ; SharedCLib vprintf

|vfprintf|
        MOV     pc,#0                            ; SharedCLib vfprintf

|vsprintf|
        MOV     pc,#0                            ; SharedCLib vsprintf

|_vprintf|
        MOV     pc,#0                            ; SharedCLib _vprintf

|fgetc|
        MOV     pc,#0                            ; SharedCLib fgetc

|fgets|
        MOV     pc,#0                            ; SharedCLib fgets

|fputc|
        MOV     pc,#0                            ; SharedCLib fputc

|fputs|
        MOV     pc,#0                            ; SharedCLib fputs

|__filbuf|
        MOV     pc,#0                            ; SharedCLib __filbuf

|getc|
        MOV     pc,#0                            ; SharedCLib getc

|getchar|
        MOV     pc,#0                            ; SharedCLib getchar

|gets|
        MOV     pc,#0                            ; SharedCLib gets

|__flsbuf|
        MOV     pc,#0                            ; SharedCLib __flsbuf

|putc|
        MOV     pc,#0                            ; SharedCLib putc

|putchar|
        MOV     pc,#0                            ; SharedCLib putchar

|puts|
        MOV     pc,#0                            ; SharedCLib puts

|ungetc|
        MOV     pc,#0                            ; SharedCLib ungetc

|fread|
        MOV     pc,#0                            ; SharedCLib fread

|fwrite|
        MOV     pc,#0                            ; SharedCLib fwrite

|fgetpos|
        MOV     pc,#0                            ; SharedCLib fgetpos

|fseek|
        MOV     pc,#0                            ; SharedCLib fseek

|fsetpos|
        MOV     pc,#0                            ; SharedCLib fsetpos

|ftell|
        MOV     pc,#0                            ; SharedCLib ftell

|rewind|
        MOV     pc,#0                            ; SharedCLib rewind

|clearerr|
        MOV     pc,#0                            ; SharedCLib clearerr

|feof|
        MOV     pc,#0                            ; SharedCLib feof

|ferror|
        MOV     pc,#0                            ; SharedCLib ferror

|perror|
        MOV     pc,#0                            ; SharedCLib perror

|__ignore_signal_handler|
        MOV     pc,#0                            ; SharedCLib __ignore_signal_handler

|__error_signal_marker|
        MOV     pc,#0                            ; SharedCLib __error_signal_marker

|__default_signal_handler|
        MOV     pc,#0                            ; SharedCLib __default_signal_handler

|signal|
        MOV     pc,#0                            ; SharedCLib signal

|raise|
        MOV     pc,#0                            ; SharedCLib raise

|setjmp|
        MOV     pc,#0                            ; SharedCLib setjmp

|longjmp|
        MOV     pc,#0                            ; SharedCLib longjmp

|acos|
        MOV     pc,#0                            ; SharedCLib acos

|asin|
        MOV     pc,#0                            ; SharedCLib asin

|atan|
        MOV     pc,#0                            ; SharedCLib atan

|atan2|
        MOV     pc,#0                            ; SharedCLib atan2

|cos|
        MOV     pc,#0                            ; SharedCLib cos

|sin|
        MOV     pc,#0                            ; SharedCLib sin

|tan|
        MOV     pc,#0                            ; SharedCLib tan

|cosh|
        MOV     pc,#0                            ; SharedCLib cosh

|sinh|
        MOV     pc,#0                            ; SharedCLib sinh

|tanh|
        MOV     pc,#0                            ; SharedCLib tanh

|exp|
        MOV     pc,#0                            ; SharedCLib exp

|frexp|
        MOV     pc,#0                            ; SharedCLib frexp

|ldexp|
        MOV     pc,#0                            ; SharedCLib ldexp

|log|
        MOV     pc,#0                            ; SharedCLib log

|log10|
        MOV     pc,#0                            ; SharedCLib log10

|modf|
        MOV     pc,#0                            ; SharedCLib modf

|pow|
        MOV     pc,#0                            ; SharedCLib pow

|sqrt|
        MOV     pc,#0                            ; SharedCLib sqrt

|ceil|
        MOV     pc,#0                            ; SharedCLib ceil

|fabs|
        MOV     pc,#0                            ; SharedCLib fabs

|floor|
        MOV     pc,#0                            ; SharedCLib floor

|fmod|
        MOV     pc,#0                            ; SharedCLib fmod

|setlocale|
        MOV     pc,#0                            ; SharedCLib setlocale

|isalnum|
        MOV     pc,#0                            ; SharedCLib isalnum

|isalpha|
        MOV     pc,#0                            ; SharedCLib isalpha

|iscntrl|
        MOV     pc,#0                            ; SharedCLib iscntrl

|isdigit|
        MOV     pc,#0                            ; SharedCLib isdigit

|isgraph|
        MOV     pc,#0                            ; SharedCLib isgraph

|islower|
        MOV     pc,#0                            ; SharedCLib islower

|isprint|
        MOV     pc,#0                            ; SharedCLib isprint

|ispunct|
        MOV     pc,#0                            ; SharedCLib ispunct

|isspace|
        MOV     pc,#0                            ; SharedCLib isspace

|isupper|
        MOV     pc,#0                            ; SharedCLib isupper

|isxdigit|
        MOV     pc,#0                            ; SharedCLib isxdigit

|tolower|
        MOV     pc,#0                            ; SharedCLib tolower

|toupper|
        MOV     pc,#0                            ; SharedCLib toupper

|__assert|
        MOV     pc,#0                            ; SharedCLib __assert

|_memcpy|
        MOV     pc,#0                            ; SharedCLib _memcpy

|_memset|
        MOV     pc,#0                            ; SharedCLib _memset

|localeconv|
        MOV     pc,#0                            ; SharedCLib localeconv

|mblen|
        MOV     pc,#0                            ; SharedCLib mblen

|mbtowc|
        MOV     pc,#0                            ; SharedCLib mbtowc

|wctomb|
        MOV     pc,#0                            ; SharedCLib wctomb

|mbstowcs|
        MOV     pc,#0                            ; SharedCLib mbstowcs

|wcstombs|
        MOV     pc,#0                            ; SharedCLib wcstombs

|strxfrm|
        MOV     pc,#0                            ; SharedCLib strxfrm

|strcoll|
        MOV     pc,#0                            ; SharedCLib strcoll

|_clib_finalisemodule|
        MOV     pc,#0                            ; SharedCLib _clib_finalisemodule

|_clib_version|
        MOV     pc,#0                            ; SharedCLib _clib_version

|finalise|
        MOV     pc,#0                            ; SharedCLib finalise

|tmpnam|
        MOV     pc,#0                            ; SharedCLib tmpnam

|_swi|
        MOV     pc,#0                            ; SharedCLib _swi

|_swix|
        MOV     pc,#0                            ; SharedCLib _swix

|_clib_vector_limit|
        DCD     &00000000                        ;~ Word -/- (referenced)
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-

|SharedCLib_Stub_Chunk|
        DCD     &00000001                        ; SCL Stub chunk ID (kernel)
|SharedCLib_Stub_Chunk1.Relocated_Address|
        DCD     |_kernel_init|+&00008000         ; SCL Entry vector base  -> SharedCLib Func: _kernel_init
|SharedCLib_Stub_Chunk2.Relocated_Address|
        DCD     |_kernel_vector_limit|+&00008000 ; SCL Entry vector limit -> Word: &00000000
|SharedCLib_Stub_Chunk3.Relocated_Address|
        DCD     |SCL_static_data_Start|+&00008000 ; SCL Static data base   -> Func @ &000011BC (alters flags)
|SharedCLib_Stub_Chunk4.Relocated_Address|
        DCD     |SCL_static_data2|+&00008000     ; SCL Static data limit  -> &000014D8 SCL static data array
        DCD     &00000002                        ; SCL Stub chunk ID (CLib)
|SharedCLib_Stub_Chunk5.Relocated_Address|
        DCD     |TrapProc|+&00008000             ; SCL Entry vector base  -> SharedCLib Func: TrapProc
|SharedCLib_Stub_Chunk6.Relocated_Address|
        DCD     |_clib_vector_limit|+&00008000   ; SCL Entry vector limit -> Word: &00000000
|SharedCLib_Stub_Chunk7.Relocated_Address|
        DCD     |SCL_static_data2|+&00008000     ; SCL Static data base   -> &000014D8 SCL static data array
|SharedCLib_Stub_Chunk8.Relocated_Address|
        DCD     |SCL_static_data_Limit|+&00008000 ; SCL Static data limit  -> &00002020 SCL static data array
        DCD     &FFFFFFFF                        ; SCL Stubs chunk end

|SharedCLib_Language_Block|
        DCD     &00000028                        ; SCL Language Desciptor Block size
|SharedCLib_Language_Block1.Relocated_Address|
        DCD     |First.Symbol|+&00008000         ; SCL Code start       -> Symbol: "tm_swi",0
|SharedCLib_Language_Block2.Relocated_Address|
        DCD     |Main_entry_point|+&00008000     ; SCL Code end         -> Code @ &00000668
|SharedCLib_Language_Block3.Relocated_Address|
        DCD     |C.String|+&00008000             ; SCL Name             -> String: "C",0
|SharedCLib_Language_Block4.Relocated_Address|
        DCD     |InitProc|+&00008000             ; SCL InitProc         -> Func: InitProc
        DCD     &00000000                        ; SCL FinialiseProc
|SharedCLib_Language_Block5.Relocated_Address|
        DCD     |TrapProc|+&00008000             ; SCL TrapProc         -> SharedCLib Func: TrapProc
|SharedCLib_Language_Block6.Relocated_Address|
        DCD     |UncaughtTrapProc|+&00008000     ; SCL UncaughtTrapProc -> SharedCLib Func: UncaughtTrapProc
|SharedCLib_Language_Block7.Relocated_Address|
        DCD     |EventProc|+&00008000            ; SCL EventProc        -> SharedCLib Func: EventProc
|SharedCLib_Language_Block8.Relocated_Address|
        DCD     |FastEventProc|+&00008000        ; SCL FastEventProc    -> SharedCLib Func: FastEventProc

|Generic.Error_Block|
        DCD     SWI_Chunk_Base                   ;~~~ Error Block Word r/- (referenced)
        DCB     "*** CModule error ***",0,0,0    ;~~ Error Block String -/-

|Read/Write_Area_Start|                          ; Match the length of this data area
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
        DCD     &00000000                        ;~ Word -/-
|Read/Write_Area_End|

|SCL_static_data_Start|				 ; Add any references in to this area
|One_Time_Relocate|
        MOV     a1,a1                            ; Function entry, (alters flags), (Referenced)
        LDR     a2,|One_Time_Relocate.Relocated_Address| ; ->-> Func @ &000011BC (alters flags)
        ADR     fp,|One_Time_Relocate|
        ADR     a1,|Relocation_Table.Address|    ; ->->-> SharedCLib Func: FastEventProc
        SUBS    a2,fp,a2
        MOVEQ   pc,lr                            ; Function exit if EQ
        LDR     fp,|ModuleStart.Relocated_Address| ; ->->-> Code: Start code
        ADD     fp,fp,a2
|One_Time_Relocate1|
        LDR     a3,[a1],#4
        MOVS    a3,a3,ASR #2
        ADRMI   a1,|Relocation_Table.Address|    ; ->->-> SharedCLib Func: FastEventProc
        MOVMI   pc,lr                            ; Function exit if MI
        LDR     a4,[fp,a3,LSL #2]
        ADD     a4,a4,a2
        STR     a4,[fp,a3,LSL #2]
        B       |One_Time_Relocate1|             ; Ends

|One_Time_Relocate.Relocated_Address|
        DCD     |One_Time_Relocate|+&00008000    ; Relocated Address array r/w (referenced) &000011BC-> Func @ &000011BC (alters flags)
|ModuleStart.Relocated_Address|
        DCD     |Module_Header|+&00008000        ; Relocated Address array r/w (referenced) &00000000->-> Code: Start code
|Relocation_Table.Address|
        DCD     |SharedCLib_Language_Block8.Relocated_Address|  ; Address array -/- (referenced) ->-> SharedCLib Func: FastEventProc
        DCD     |SharedCLib_Language_Block7.Relocated_Address|  ; Address array r/- (referenced) ->-> SharedCLib Func: EventProc
        DCD     |SharedCLib_Language_Block6.Relocated_Address|  ; Address array -/- ->-> SharedCLib Func: UncaughtTrapProc
        DCD     |SharedCLib_Language_Block5.Relocated_Address|  ; Address array -/- ->-> SharedCLib Func: TrapProc
        DCD     |SharedCLib_Language_Block4.Relocated_Address|  ; Address array -/- ->-> Func: InitProc
        DCD     |SharedCLib_Language_Block3.Relocated_Address|  ; Address array -/- ->-> String: "C",0
        DCD     |SharedCLib_Language_Block2.Relocated_Address|  ; Address array -/- ->-> Code @ &00000668
        DCD     |SharedCLib_Language_Block1.Relocated_Address|  ; Address array -/- ->-> Symbol: "tm_swi",0
        DCD     |SharedCLib_Stub_Chunk8.Relocated_Address|      ; Address array -/- ->-> &00002020 SCL static data array
        DCD     |SharedCLib_Stub_Chunk7.Relocated_Address|      ; Address array -/- ->-> &000014D8 SCL static data array
        DCD     |SharedCLib_Stub_Chunk6.Relocated_Address|      ; Address array -/- ->-> Word: &00000000
        DCD     |SharedCLib_Stub_Chunk5.Relocated_Address|      ; Address array -/- ->-> SharedCLib Func: TrapProc
        DCD     |SharedCLib_Stub_Chunk4.Relocated_Address|      ; Address array -/- ->-> &000014D8 SCL static data array
        DCD     |SharedCLib_Stub_Chunk3.Relocated_Address|      ; Address array -/- ->-> Func @ &000011BC (alters flags)
        DCD     |SharedCLib_Stub_Chunk2.Relocated_Address|      ; Address array -/- ->-> Word: &00000000
        DCD     |SharedCLib_Stub_Chunk1.Relocated_Address|      ; Address array -/- ->-> SharedCLib Func: _kernel_init
        DCD     |Module_entry_point_D4.Relocated_Address|       ; Address array -/- ->->-> Code: Start code
        DCD     |Module_entry_point_D3.Relocated_Address|       ; Address array -/- ->-> Func @ &000011BC (alters flags)
        DCD     |Module_entry_point_D2.Relocated_Address|       ; Address array -/- ->-> Error Block Word: &00088000
        DCD     |Module_entry_point_D1.Relocated_Address|       ; Address array -/- ->-> Func @ &000011BC (alters flags)
        DCD     |Main_entry_point_D5.Relocated_Address|         ; Address array -/- ->-> SharedCLib Stub Chunk Word: &00000001
        DCD     |Main_entry_point_D4.Relocated_Address|         ; Address array -/- ->-> &00002020 SCL static data array
        DCD     |Main_entry_point_D3.Relocated_Address|         ; Address array -/- ->-> Error Block Word: &00088000
        DCD     |Main_entry_point_D2.Relocated_Address|         ; Address array -/- ->-> SharedCLib Language Block Word: &00000028
        DCD     |Main_entry_point_D1.Relocated_Address|         ; Address array -/- ->->-> Code: Start code
        DCD     |InitProc_D3.Relocated_Address|                 ; Address array -/- ->-> Func: main
        DCD     |InitProc_D2.Relocated_Address|                 ; Address array -/- ->-> SharedCLib Language Block Word: &00000028
        DCD     |InitProc_D1.Relocated_Address|                 ; Address array -/- ->-> &000012D1 SCL static data array
        ; Insert additional relocations - keep SCL static data array length constant
        DCD     |One_Time_Relocate.Relocated_Address|           ; Address array -/- ->-> Func @ &000011BC (alters flags)
        DCD     |ModuleStart.Relocated_Address|                 ; Address array -/- ->->-> Code: Start code
        DCD     &FFFFFFFF                        ; SCL static data array r/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
|SCL_static_data1|
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
|SCL_static_data2|
        DCD     &00000000                        ; SCL static data array -/-
|SCL_static_data3|
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
        DCD     &00000000                        ; SCL static data array -/-
|SCL_static_data_Limit|

        END




























































